BEEM - Android XMPP - Bug #209
Reconnection -> Segfault

10/30/2009 06:01 PM -

Vincent Véronis

Status:
Priority:
Assignee:
Category:
Target version:

Affected version:

Closed
Normal

Nikita Kozlov
User Interface

Version Forum EIP

Start date: 10/30/2009
Due date:

% Done: 100%
Estimated time: 2.00 hours

Locale:

Description
On se connecte.

On va dans les settings.
On se re-connecte sans rien changer...

PAF

10-30 17:25:26.576:
10-30 17:25:26.626:
10-30 17:25:26.626:
10-30 17:25:26.626: ERROR/AndroidRuntime(1211):

ERROR/AndroidRuntime(1211

(1211):
ERROR/AndroidRuntime(1211):
(1211):

ERROR/AndroidRuntime(1211

Uncaught handler: thread main exiting due to uncaught exception
java.lang.NullPointerException

at org.jivesoftware.smack.RosterEntry.getGroups(RosterEntry.java:117)
at

com.beem.project.beem.service.RosterAdapter.getContactFromRosterEntry(RosterAdapter.java:195)

10-30 17:25:26.626: ERROR/AndroidRuntime(1211):

at

com.beem.project.beem.service.RosterAdapter.getContact(RosterAdapter.java:114)

10-30 17:25:26.626: ERROR/AndroidRuntime(1211):

at

com.beem.project.oeem.ui.ContactList$BeemContactList.getView(ContactList.java:509)
at android.widget.AbsListView.obtainView(AbsListView.java:1251)

at android.widget.ListView.makeAndAddView(ListView.java:1623)

at android.widget.ListView.fillSpecific(ListView.java:1182)

at android.widget.ListView.layoutChildren(ListView.java:1459)

at android.widget.AbsListView.onLayout(AbsListView.java:1113)

at android.view.View.layout(View.java:6133)

at android.widget.LinearLayout.setChildFrame(LinearLayout.java:1119)
at android.widget.LinearLayout.layoutHorizontal(LinearLayout.java:1108)
at android.widget.LinearLayout.onLayout(LinearLayout.java:920)

at android.view.View.layout(View.java:6133)

at android.widget.LinearLayout.setChildFrame(LinearLayout.java:1119)
at android.widget.LinearLayout.layoutVertical(LinearLayout.java:998)
at android.widget.LinearLayout.onLayout(LinearLayout.java:918)

at android.view.View.layout(View.java:6133)

at android.widget.FrameLayout.onLayout(FramelLayout.java:333)

at android.view.View.layout(View.java:6133)

at android.widget.LinearLayout.setChildFrame(LinearLayout.java:1119)
at android.widget.LinearLayout.layoutVertical(LinearLayout.java:998)
at android.widget.LinearLayout.onLayout(LinearLayout.java:918)

at android.view.View.layout(View.java:6133)

at android.widget.FramelLayout.onLayout(FramelLayout.java:333)

at android.view.View.layout(View.java:6133)

at android.view.ViewRoot.performTraversals(ViewRoot.java:929)

at android.view.ViewRoot.handleMessage(ViewRoot.java:1482)

at android.os.Handler.dispatchMessage(Handler.java:99)

at android.os.Looper.loop(Looper.java:123)

at android.app.ActivityThread.main(ActivityThread.java:3948)

at java.lang.reflect.Method.invokeNative(Native Method)

at java.lang.reflect.Method.invoke(Method.java:521)

at

com.android.internal.os.ZygotelnitsMethodAndArgsCaller.run(Zygotelnit.java:782)

10-30 17:25:26.626: ERROR/AndroidRuntime(1211):
10-30 17:25:26.626: ERROR/AndroidRuntime(1211):

at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:540)
at dalvik.system.NativeStart.main(Native Method)

History

12/18/2025

1/2




#1 - 10/30/2009 07:20 PM - Nikita Kozlov
- Category set to User Interface

- Status changed from New to Resolved

- Assignee set to Nikita Kozlov

- Target version set to Version Forum EIP
- % Done changed from 0 to 100

- Estimated time set to 2.00 h

#2 - 11/16/2009 07:16 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed
